package com.yeejoin.amos.fas.business.vo;

import lombok.Data;

/**
 * @author keyong
 * @title: EquipmentSpecificIndexVo
 * <pre>
 * @description: 装备性能指标Vo
 * </pre>
 * @date 2020/11/11 16:49
 */
@Data
public class EquipmentSpecificIndexVo {

    // id
    private long id;

    // 装备id
    private Long equipmentSpecificId;

    // 性能指标value
    private String value;

    // 性能指标id
    private Long equipmentIndexId;

    private String name;

    private String equipmentIndexName;

    private String equipmentIndexUnitName;

    // 性能指标name key
    private String nameKey;

    // 装备编码
    private String code;

    // 物联编码
    private String iotCode;

    // 订阅类型
    private String type;

    private String typeCode;

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getId() {
        return id;
    }

    public void setIotCode(String iotCode) {
        this.iotCode = iotCode;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIotCode() {
        return iotCode;
    }

    public String getType() {
        return type;
    }

    public Long getEquipmentSpecificId() {
        return equipmentSpecificId;
    }

    public String getValue() {
        return value;
    }

    public Long getEquipmentIndexId() {
        return equipmentIndexId;
    }

    public String getNameKey() {
        return nameKey;
    }

    public String getCode() {
        return code;
    }

    public void setEquipmentSpecificId(Long equipmentSpecificId) {
        this.equipmentSpecificId = equipmentSpecificId;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public void setEquipmentIndexId(Long equipmentIndexId) {
        this.equipmentIndexId = equipmentIndexId;
    }

    public void setNameKey(String nameKey) {
        this.nameKey = nameKey;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEquipmentIndexName() {
        return equipmentIndexName;
    }

    public void setEquipmentIndexName(String equipmentIndexName) {
        this.equipmentIndexName = equipmentIndexName;
    }

    public String getEquipmentIndexUnitName() {
        return equipmentIndexUnitName;
    }

    public void setEquipmentIndexUnitName(String equipmentIndexUnitName) {
        this.equipmentIndexUnitName = equipmentIndexUnitName;
    }

    public EquipmentSpecificIndexVo() {
    }

    public EquipmentSpecificIndexVo(long id, Long equipmentSpecificId, String value, Long equipmentIndexId, String name, String equipmentIndexName, String equipmentIndexUnitName, String nameKey, String code, String iotCode, String type) {
        this.id = id;
        this.equipmentSpecificId = equipmentSpecificId;
        this.value = value;
        this.equipmentIndexId = equipmentIndexId;
        this.name = name;
        this.equipmentIndexName = equipmentIndexName;
        this.equipmentIndexUnitName = equipmentIndexUnitName;
        this.nameKey = nameKey;
        this.code = code;
        this.iotCode = iotCode;
        this.type = type;
    }

}
